searchNodes=[{"ref":"ExTripcode.html","title":"ExTripcode","type":"module","doc":"This module provides functions to generate and parse tripcodes."},{"ref":"ExTripcode.html#hash/1","title":"ExTripcode.hash/1","type":"function","doc":"Takes a string value as input and transforms it into a tripcode. When specifying a seed, we use this to generate a secure tripcode. Returns a string containing the tripcode. Examples iex&gt; ExTripcode.hash(&quot;elixir&quot;) &quot;H3R1pplX/.&quot; iex&gt; ExTripcode.hash(&quot;elixir&quot;, &quot;secret&quot;) &quot;KZ1B7o9AtcJD9XQ&quot;"},{"ref":"ExTripcode.html#hash/2","title":"ExTripcode.hash/2","type":"function","doc":""},{"ref":"ExTripcode.html#parse/1","title":"ExTripcode.parse/1","type":"function","doc":"Parses a user and tripcode string, in the form of &quot;user#tripcode&quot;. To also parse for secure tripcodes in the form of &quot;user#tripcode#secure&quot; you need provide a secret seed you store only on the server and keep hidden from your users. Returns a map containing key-values for all values that are found. Examples iex&gt; ExTripcode.parse(&quot;User#elixir#elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;, secure: &quot;KZ1B7o9AtcJD9XQ&quot;} iex&gt; ExTripcode.parse(&quot;User##elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, secure: &quot;KZ1B7o9AtcJD9XQ&quot;} iex&gt; ExTripcode.parse(&quot;User#elixir&quot;, &quot;secret&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;} iex&gt; ExTripcode.parse(&quot;User#elixir&quot;) %{user: &quot;User&quot;, code: &quot;H3R1pplX/.&quot;}"},{"ref":"ExTripcode.html#parse/2","title":"ExTripcode.parse/2","type":"function","doc":""},{"ref":"ExTripcode.Hasher.html","title":"ExTripcode.Hasher","type":"module","doc":"This module implements the hashing of values to generate tripcodes."},{"ref":"ExTripcode.Hasher.html#hash/1","title":"ExTripcode.Hasher.hash/1","type":"function","doc":"Generate a regular tripcode. Regular tripcodes are generated as follows: Convert the input to Shift JIS. Generate the salt as follows: a. Take the second and third characters of the string obtained by appending H.. to the end of the input. b. Replace any characters not between . and z with .. c. Replace any of the characters in :;&lt;=&gt;?@[]^_` with the corresponding character from ABCDEFGabcdef. 3. Call the crypt() function with the input and salt. 4. Return the last 10 characters. (compressional data harvest)"},{"ref":"ExTripcode.Hasher.html#hash/2","title":"ExTripcode.Hasher.hash/2","type":"function","doc":"Generate a secure tripcode. Secure tripcodes are generated as follows: Convert the input to Shift JIS. Create a hash by taking the SHA1 sum of input &amp; the base64 decoded seed. Base64 encode this hash. Return the first 15 characters."},{"ref":"ExTripcode.Parser.html","title":"ExTripcode.Parser","type":"module","doc":"This module implements the parsing of user/password strings containing tripcodes. It is provided as a convience for parsing your user input. Returns a map containing user and tripcode values."},{"ref":"ExTripcode.Parser.html#parse/1","title":"ExTripcode.Parser.parse/1","type":"function","doc":"Parse a string for user and tripcode values. Everything before the &quot;#&quot; symbol is user, after is the password for the tripcode. We don&#39;t check for a second password for secure tripcodes, since no seed was specified. Returns a map containing the values user and tripcode. Note: The user can be an empty string, this is valid. Examples iex&gt; ExTripcode.Parser.parse(&quot;#elixir&quot;) %{user: &quot;&quot;, code: &quot;H3R1pplX/.&quot;} iex&gt; ExTripcode.Parser.parse(&quot;Joe&quot;) %{user: &quot;Joe&quot;}"},{"ref":"ExTripcode.Parser.html#parse/2","title":"ExTripcode.Parser.parse/2","type":"function","doc":"Parse a string for user and tripcode values. We check for a second password to generate a secure tripcode. Returns a map containing the values user and both tripcodes. If the first password was omitted, only the secure tripcode value is returned."}]